Bug 857268 - [abrt] ibus-1.4.99.20120822-2.fc17: main.py:303:__get_engine_descs_from_names:TypeError: unhashable type: 'list'
[abrt] ibus-1.4.99.20120822-2.fc17: main.py:303:__get_engine_descs_from_names...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ibus (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: fujiwara
Fedora Extras Quality Assurance
abrt_hash:eb711e0abc594a3a944fad9fe33...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-13 20:07 EDT by Victor Costan
Modified: 2012-09-26 05:05 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-25 02:17:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (68.64 KB, text/plain)
2012-09-13 20:07 EDT, Victor Costan
no flags Details
File: core_backtrace (214 bytes, text/plain)
2012-09-13 20:07 EDT, Victor Costan
no flags Details

  None (edit)
Description Victor Costan 2012-09-13 20:07:18 EDT
Description of problem:
Used IBus Preferences by clicking "Preferences..." from the Input Method Selector. Tried to add pinyin by going to the "Input Method" tab, "Select an input method" > "Show all input methods", then "Select an input method" > "Chinese" > "Intelligent Pinyin". The crash happened after I pressed the "+ Add" button.

Version-Release number of selected component:
ibus-1.4.99.20120822-2.fc17

Additional info:
libreport version: 2.0.13
abrt_version:   2.0.12
cmdline:        /usr/bin/python /usr/share/ibus/setup/main.py
kernel:         3.5.3-1.fc17.x86_64
Comment 1 Victor Costan 2012-09-13 20:07:21 EDT
Created attachment 612687 [details]
File: backtrace
Comment 2 Victor Costan 2012-09-13 20:07:22 EDT
Created attachment 612688 [details]
File: core_backtrace
Comment 3 fujiwara 2012-09-13 21:03:56 EDT
Thanks. Actually you used the ibus from the updates-testing repository.
I also noticed that regression in https://bugzilla.redhat.com/show_bug.cgi?id=854161#c6 .
I will remove that version in f17 soon.

You could remove ibus and install the previous version.

# rpm -e --nodeps ibus ibus-libs ibus-gtk2 ibus-gtk3 ibus-devel ibus-gnome3
# yum install ibus
Comment 4 Fedora Update System 2012-09-14 08:58:33 EDT
ibus-1.4.99.20120914-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ibus-1.4.99.20120914-2.fc18
Comment 5 Fedora Update System 2012-09-14 08:58:44 EDT
ibus-1.4.99.20120914-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ibus-1.4.99.20120914-2.fc17
Comment 6 Fedora Update System 2012-09-16 13:10:01 EDT
Package ibus-1.4.99.20120914-2.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ibus-1.4.99.20120914-2.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-13943/ibus-1.4.99.20120914-2.fc18
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2012-09-25 02:17:38 EDT
ibus-1.4.99.20120914-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2012-09-26 05:05:53 EDT
ibus-1.4.99.20120914-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.